%define oname   ruby-yadis

Name:       ruby-%{oname}
Version:    0.3.4
Release:    %mkrel 9
Summary:    A library for performing Yadis service discovery
License:    Apache License
Group:      Development/Ruby
URL:        http://www.openidenabled.com/yadis/libraries/ruby
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ruby-yadis-0.3.4-missing-section.patch
BuildRequires: rubygems
Obsoletes:  %{oname} < %{version}-%{release}
BuildArch:  noarch

%description
A library for performing Yadis service discovery

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
Obsoletes:  %{oname}-doc < %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%{gem_instdir}/examples
#-------------------------------------------------------------------------------

%prep
%gem_setup
gunzip metadata
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.3.4-9.mga4
+ Revision: 562463
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.3.4-8.mga4
+ Revision: 538710
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.3.4-7.mga4
+ Revision: 490233
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.3.4-6.mga3
+ Revision: 396408
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.3.4-5.mga3
+ Revision: 381400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 0.3.4-4.mga3
+ Revision: 314112
- rename package
- rename package

* Sun Feb 13 2011 shikamaru <shikamaru> 0.3.4-3.mga1
+ Revision: 51287
- imported package ruby-yadis

